SELECT
	ad_actions.ad_id,
	ad_actions.action_id
FROM
	<%(?email)
		ads,
	%>
	ad_actions
	<%(?tables)
		%tables
	%>
WHERE
	<%(?ad_id && ?action_id)
		ad_actions.ad_id = %ad_id AND
		ad_actions.action_id = %action_id AND
	%>
	<%(?email)
		ad_actions.ad_id = ads.ad_id AND
		ads.user_id = (SELECT user_id FROM users WHERE email = '%email') AND
	%>
	<%|replace("''", "'")|%condition%>
ORDER BY
	ad_actions.current_state
<%(?offset)
	OFFSET %offset
%>
<%(?limit)
	LIMIT %limit
%>;
